IPC::Run3::ProfLogger(3)

NAME
IPC::Run3::ProfLogger - write profiling data to a log file

SYNOPSIS
 use IPC::Run3::ProfLogger;

 my $logger = IPC::Run3::ProfLogger->new;  ## write to "run3.out"
 my $logger = IPC::Run3::ProfLogger->new( Destination => $fn );

 $logger->app_call( \@cmd, $time );

 $logger->run_exit( \@cmd1, @times1 );
 $logger->run_exit( \@cmd1, @times1 );

 $logger->app_exit( $time );

DESCRIPTION
Used by IPC::Run3 to write a profiling log file. Does not generate reports or maintain statistics; its meant to have minimal overhead.

Its API is compatible with a tiny subset of the other IPC::Run profiling classes.

METHODS

  "IPC::Run3::ProfLogger->new( ... )"

  "$logger->run_exit( ... )"

  "$logger->app_exit( $arg )"

  "$logger->app_call( $t, @args)"

LIMITATIONS

COPYRIGHT
Copyright 2003, R. Barrie Slaymaker, Jr., All Rights Reserved

LICENSE
You may use this module under the terms of the BSD, Artistic, or GPL licenses, any version.

AUTHOR
Barrie Slaymaker <barries@slaysys.com>